package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author : lingfeng
 * @time : 2024-11-22
 * @description :
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TencentMiniGameOrderBackQueryRpcDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 游戏 id
     */
    private Long gameId;

    /**
     * sdk 里面的用户 openId（要求唯一）
     */
    private String wechatOpenid;

    /**
     * 订单编号
     */
    private String orderId;

    /**
     * 渠道标识
     */
    private String agentKey;
}
