package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TtRoleRegisterRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 游戏 id
     */
    private Long gameId;


    /**
     * 回传策略ID
     */
    private Long backPolicyId;
    /**
     * 微信小游戏上报组件
     */
    private TtAccountRpcDTO accountReport;
    /**
     * 小游戏 appId
     */
    private String wechatAppId;
    /**
     * 小游戏 openId
     */
    private String wechatOpenId;
    /**
     * 小游戏 unionId
     */
    private String wechatUnionId;
    /**
     * 渠道标识
     */
    private String agentKey;

    private String roleId;

    private String roleName;

    private Long roleLevel;
    /**
     * 激活/注册时间
     */
    private LocalDateTime registerTime;
}
