package com.zanxiang.game.back.base.pojo.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class GameBackPolicyRpcVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private String backPolicyName;

    /**
     * 首充-小额判定金额（小于等于）
     */
    private Long firstMinMoney;

    /**
     * 首充-小额回传方式（概率/比例）
     */
    private Integer firstMinMoneyType;

    /**
     * 首充-小额回传概率/比例
     */
    private String firstMinMoneyRate;

    /**
     * 首充-大额判定金额（大于等于）
     */
    private Long firstMaxMoney;

    /**
     * 首充-大额回传方式（概率/比例）
     */
    private Integer firstMaxMoneyType;

    /**
     * 首充-大额回传概率/比例
     */
    private String firstMaxMoneyRate;

    /**
     * 首充-其它金额回传方式（概率/比例）
     */
    private Integer firstOtherMoneyType;

    /**
     * 首充-其它金额回传概率/比例
     */
    private String firstOtherMoneyRate;

    /**
     * 次单-小额判定金额（小于等于）
     */
    private Long rechargeMinMoney;

    /**
     * 次单-小额回传方式（概率/比例）
     */
    private Integer rechargeMinMoneyType;

    /**
     * 次单-小额回传概率/比例
     */
    private String rechargeMinMoneyRate;

    /**
     * 次单-大额判定金额（大于等于）
     */
    private Long rechargeMaxMoney;

    /**
     * 次单-大额回传方式（概率/比例）
     */
    private Integer rechargeMaxMoneyType;

    /**
     * 次单-大额回传概率/比例
     */
    private String rechargeMaxMoneyRate;

    /**
     * 次单-其它金额回传方式（概率/比例）
     */
    private Integer rechargeOtherMoneyType;

    /**
     * 次单-其它金额回传概率/比例
     */
    private String rechargeOtherMoneyRate;

    /**
     * 降档级别
     */
    private Integer levelDown;
    /**
     * 最小回传等级
     */
    private Long roleLevelMin;

    private LocalDateTime createTime;

    private Long createBy;

    /**
     * 完成新手引导条件
     */
    private String tutorialFinishJson;
}
