package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.dto.GameTencentMiniGameRoleRegisterDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameRoleRegister;
import com.zanxiang.game.back.serve.pojo.vo.GameTencentMiniGameRoleRegisterVO;

import java.util.List;

public interface IGameTencentMiniGameRoleRegisterService extends IService<GameTencentMiniGameRoleRegister> {

    boolean roleRegisterBack(GameTencentMiniGameRoleRegister roleRegisterLog);

    boolean callback(GameTencentMiniGameRoleRegister roleRegisterLog);

    void tutorialFinishBack(GameTencentMiniGameRoleRegister roleRegisterLog, GameBackPolicy gameBackPolicy);

    IPage<GameTencentMiniGameRoleRegisterVO> listOfPage(GameTencentMiniGameRoleRegisterDTO dto);

    boolean doReport(List<Long> userLogIds);
}
