package com.zanxiang.game.gs.data.serve.pojo.entity.game.dw;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.math.BigDecimal;
import java.lang.Long;
import java.time.LocalDate;
import java.lang.String;

/**
 * Gs区服付费留存：付费金额，付费人数，累计付费人数 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "dw_gs_server_amount_day_parent")
public class DwGsServerAmountDayParent {

    /**
     * 开服时间
     */
    @Column(value = "dt")
    private LocalDate dt;

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 区服切片ID
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 区服名称
     */
    @Column(value = "server_name")
    private String serverName;

    /**
     * 父游戏ID
     */
    @Column(value = "parent_game_id")
    private Long parentGameId;

    /**
     * 父游戏名称
     */
    @Column(value = "parent_game_name")
    private String parentGameName;

    /**
     * 游戏类别
     */
    @Column(value = "classify")
    private Long classify;

    /**
     * 区服累计到第1天付费人数
     */
    @Column(value = "da1_sum_num")
    private Long da1SumNum;

    /**
     * 区服累计到第2天付费人数
     */
    @Column(value = "da2_sum_num")
    private Long da2SumNum;

    /**
     * 区服累计到第3天付费人数
     */
    @Column(value = "da3_sum_num")
    private Long da3SumNum;

    /**
     * 区服累计到第4天付费人数
     */
    @Column(value = "da4_sum_num")
    private Long da4SumNum;

    /**
     * 区服累计到第5天付费人数
     */
    @Column(value = "da5_sum_num")
    private Long da5SumNum;

    /**
     * 区服累计到第6天付费人数
     */
    @Column(value = "da6_sum_num")
    private Long da6SumNum;

    /**
     * 区服累计到第7天付费人数
     */
    @Column(value = "da7_sum_num")
    private Long da7SumNum;

    /**
     * 区服累计到第8天付费人数
     */
    @Column(value = "da8_sum_num")
    private Long da8SumNum;

    /**
     * 区服累计到第9天付费人数
     */
    @Column(value = "da9_sum_num")
    private Long da9SumNum;

    /**
     * 区服累计到第10天付费人数
     */
    @Column(value = "da10_sum_num")
    private Long da10SumNum;

    /**
     * 区服累计到第11天付费人数
     */
    @Column(value = "da11_sum_num")
    private Long da11SumNum;

    /**
     * 区服累计到第12天付费人数
     */
    @Column(value = "da12_sum_num")
    private Long da12SumNum;

    /**
     * 区服累计到第13天付费人数
     */
    @Column(value = "da13_sum_num")
    private Long da13SumNum;

    /**
     * 区服累计到第14天付费人数
     */
    @Column(value = "da14_sum_num")
    private Long da14SumNum;

    /**
     * 区服累计到第15天付费人数
     */
    @Column(value = "da15_sum_num")
    private Long da15SumNum;

    /**
     * 区服累计到第16天付费人数
     */
    @Column(value = "da16_sum_num")
    private Long da16SumNum;

    /**
     * 区服累计到第17天付费人数
     */
    @Column(value = "da17_sum_num")
    private Long da17SumNum;

    /**
     * 区服累计到第18天付费人数
     */
    @Column(value = "da18_sum_num")
    private Long da18SumNum;

    /**
     * 区服累计到第19天付费人数
     */
    @Column(value = "da19_sum_num")
    private Long da19SumNum;

    /**
     * 区服累计到第20天付费人数
     */
    @Column(value = "da20_sum_num")
    private Long da20SumNum;

    /**
     * 区服累计到第21天付费人数
     */
    @Column(value = "da21_sum_num")
    private Long da21SumNum;

    /**
     * 区服累计到第22天付费人数
     */
    @Column(value = "da22_sum_num")
    private Long da22SumNum;

    /**
     * 区服累计到第23天付费人数
     */
    @Column(value = "da23_sum_num")
    private Long da23SumNum;

    /**
     * 区服累计到第24天付费人数
     */
    @Column(value = "da24_sum_num")
    private Long da24SumNum;

    /**
     * 区服累计到第25天付费人数
     */
    @Column(value = "da25_sum_num")
    private Long da25SumNum;

    /**
     * 区服累计到第26天付费人数
     */
    @Column(value = "da26_sum_num")
    private Long da26SumNum;

    /**
     * 区服累计到第27天付费人数
     */
    @Column(value = "da27_sum_num")
    private Long da27SumNum;

    /**
     * 区服累计到第28天付费人数
     */
    @Column(value = "da28_sum_num")
    private Long da28SumNum;

    /**
     * 区服累计到第29天付费人数
     */
    @Column(value = "da29_sum_num")
    private Long da29SumNum;

    /**
     * 区服累计到第30天付费人数
     */
    @Column(value = "da30_sum_num")
    private Long da30SumNum;

    /**
     * 区服累计到第31天付费人数
     */
    @Column(value = "da31_sum_num")
    private Long da31SumNum;

    /**
     * 区服累计到第32天付费人数
     */
    @Column(value = "da32_sum_num")
    private Long da32SumNum;

    /**
     * 区服累计到第33天付费人数
     */
    @Column(value = "da33_sum_num")
    private Long da33SumNum;

    /**
     * 区服累计到第34天付费人数
     */
    @Column(value = "da34_sum_num")
    private Long da34SumNum;

    /**
     * 区服累计到第35天付费人数
     */
    @Column(value = "da35_sum_num")
    private Long da35SumNum;

    /**
     * 区服累计到第36天付费人数
     */
    @Column(value = "da36_sum_num")
    private Long da36SumNum;

    /**
     * 区服累计到第37天付费人数
     */
    @Column(value = "da37_sum_num")
    private Long da37SumNum;

    /**
     * 区服累计到第38天付费人数
     */
    @Column(value = "da38_sum_num")
    private Long da38SumNum;

    /**
     * 区服累计到第39天付费人数
     */
    @Column(value = "da39_sum_num")
    private Long da39SumNum;

    /**
     * 区服累计到第40天付费人数
     */
    @Column(value = "da40_sum_num")
    private Long da40SumNum;

    /**
     * 区服累计到第41天付费人数
     */
    @Column(value = "da41_sum_num")
    private Long da41SumNum;

    /**
     * 区服累计到第42天付费人数
     */
    @Column(value = "da42_sum_num")
    private Long da42SumNum;

    /**
     * 区服累计到第43天付费人数
     */
    @Column(value = "da43_sum_num")
    private Long da43SumNum;

    /**
     * 区服累计到第44天付费人数
     */
    @Column(value = "da44_sum_num")
    private Long da44SumNum;

    /**
     * 区服累计到第45天付费人数
     */
    @Column(value = "da45_sum_num")
    private Long da45SumNum;

    /**
     * 区服累计到第46天付费人数
     */
    @Column(value = "da46_sum_num")
    private Long da46SumNum;

    /**
     * 区服累计到第47天付费人数
     */
    @Column(value = "da47_sum_num")
    private Long da47SumNum;

    /**
     * 区服累计到第48天付费人数
     */
    @Column(value = "da48_sum_num")
    private Long da48SumNum;

    /**
     * 区服累计到第49天付费人数
     */
    @Column(value = "da49_sum_num")
    private Long da49SumNum;

    /**
     * 区服累计到第50天付费人数
     */
    @Column(value = "da50_sum_num")
    private Long da50SumNum;

    /**
     * 区服累计到第51天付费人数
     */
    @Column(value = "da51_sum_num")
    private Long da51SumNum;

    /**
     * 区服累计到第52天付费人数
     */
    @Column(value = "da52_sum_num")
    private Long da52SumNum;

    /**
     * 区服累计到第53天付费人数
     */
    @Column(value = "da53_sum_num")
    private Long da53SumNum;

    /**
     * 区服累计到第54天付费人数
     */
    @Column(value = "da54_sum_num")
    private Long da54SumNum;

    /**
     * 区服累计到第55天付费人数
     */
    @Column(value = "da55_sum_num")
    private Long da55SumNum;

    /**
     * 区服累计到第56天付费人数
     */
    @Column(value = "da56_sum_num")
    private Long da56SumNum;

    /**
     * 区服累计到第57天付费人数
     */
    @Column(value = "da57_sum_num")
    private Long da57SumNum;

    /**
     * 区服累计到第58天付费人数
     */
    @Column(value = "da58_sum_num")
    private Long da58SumNum;

    /**
     * 区服累计到第59天付费人数
     */
    @Column(value = "da59_sum_num")
    private Long da59SumNum;

    /**
     * 区服累计到第60天付费人数
     */
    @Column(value = "da60_sum_num")
    private Long da60SumNum;

    /**
     * 区服累计到第61天付费人数
     */
    @Column(value = "da61_sum_num")
    private Long da61SumNum;

    /**
     * 区服累计到第62天付费人数
     */
    @Column(value = "da62_sum_num")
    private Long da62SumNum;

    /**
     * 区服累计到第63天付费人数
     */
    @Column(value = "da63_sum_num")
    private Long da63SumNum;

    /**
     * 区服累计到第64天付费人数
     */
    @Column(value = "da64_sum_num")
    private Long da64SumNum;

    /**
     * 区服累计到第65天付费人数
     */
    @Column(value = "da65_sum_num")
    private Long da65SumNum;

    /**
     * 区服累计到第66天付费人数
     */
    @Column(value = "da66_sum_num")
    private Long da66SumNum;

    /**
     * 区服累计到第67天付费人数
     */
    @Column(value = "da67_sum_num")
    private Long da67SumNum;

    /**
     * 区服累计到第68天付费人数
     */
    @Column(value = "da68_sum_num")
    private Long da68SumNum;

    /**
     * 区服累计到第69天付费人数
     */
    @Column(value = "da69_sum_num")
    private Long da69SumNum;

    /**
     * 区服累计到第70天付费人数
     */
    @Column(value = "da70_sum_num")
    private Long da70SumNum;

    /**
     * 区服累计到第71天付费人数
     */
    @Column(value = "da71_sum_num")
    private Long da71SumNum;

    /**
     * 区服累计到第72天付费人数
     */
    @Column(value = "da72_sum_num")
    private Long da72SumNum;

    /**
     * 区服累计到第73天付费人数
     */
    @Column(value = "da73_sum_num")
    private Long da73SumNum;

    /**
     * 区服累计到第74天付费人数
     */
    @Column(value = "da74_sum_num")
    private Long da74SumNum;

    /**
     * 区服累计到第75天付费人数
     */
    @Column(value = "da75_sum_num")
    private Long da75SumNum;

    /**
     * 区服累计到第76天付费人数
     */
    @Column(value = "da76_sum_num")
    private Long da76SumNum;

    /**
     * 区服累计到第77天付费人数
     */
    @Column(value = "da77_sum_num")
    private Long da77SumNum;

    /**
     * 区服累计到第78天付费人数
     */
    @Column(value = "da78_sum_num")
    private Long da78SumNum;

    /**
     * 区服累计到第79天付费人数
     */
    @Column(value = "da79_sum_num")
    private Long da79SumNum;

    /**
     * 区服累计到第80天付费人数
     */
    @Column(value = "da80_sum_num")
    private Long da80SumNum;

    /**
     * 区服累计到第81天付费人数
     */
    @Column(value = "da81_sum_num")
    private Long da81SumNum;

    /**
     * 区服累计到第82天付费人数
     */
    @Column(value = "da82_sum_num")
    private Long da82SumNum;

    /**
     * 区服累计到第83天付费人数
     */
    @Column(value = "da83_sum_num")
    private Long da83SumNum;

    /**
     * 区服累计到第84天付费人数
     */
    @Column(value = "da84_sum_num")
    private Long da84SumNum;

    /**
     * 区服累计到第85天付费人数
     */
    @Column(value = "da85_sum_num")
    private Long da85SumNum;

    /**
     * 区服累计到第86天付费人数
     */
    @Column(value = "da86_sum_num")
    private Long da86SumNum;

    /**
     * 区服累计到第87天付费人数
     */
    @Column(value = "da87_sum_num")
    private Long da87SumNum;

    /**
     * 区服累计到第88天付费人数
     */
    @Column(value = "da88_sum_num")
    private Long da88SumNum;

    /**
     * 区服累计到第89天付费人数
     */
    @Column(value = "da89_sum_num")
    private Long da89SumNum;

    /**
     * 区服累计到第90天付费人数
     */
    @Column(value = "da90_sum_num")
    private Long da90SumNum;

    /**
     * 区服累计到第4月付费人数
     */
    @Column(value = "m4_sum_num")
    private Long m4SumNum;

    /**
     * 区服累计到第5月付费人数
     */
    @Column(value = "m5_sum_num")
    private Long m5SumNum;

    /**
     * 区服累计到第6月付费人数
     */
    @Column(value = "m6_sum_num")
    private Long m6SumNum;

    /**
     * 区服累计到第7月付费人数
     */
    @Column(value = "m7_sum_num")
    private Long m7SumNum;

    /**
     * 区服累计到第8月付费人数
     */
    @Column(value = "m8_sum_num")
    private Long m8SumNum;

    /**
     * 区服累计到第9月付费人数
     */
    @Column(value = "m9_sum_num")
    private Long m9SumNum;

    /**
     * 区服累计到第10月付费人数
     */
    @Column(value = "m10_sum_num")
    private Long m10SumNum;

    /**
     * 区服累计到第11月付费人数
     */
    @Column(value = "m11_sum_num")
    private Long m11SumNum;

    /**
     * 区服累计到第1年付费人数
     */
    @Column(value = "y1_sum_num")
    private Long y1SumNum;


}
