package com.zanxiang.game.gs.data.serve.pojo.entity.game.dw;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDate;
import java.lang.String;

/**
 * Gs区服付费留存：创角人数，累计创角人数 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "dw_gs_server_role_day_parent")
public class DwGsServerRoleDayParent {

    /**
     * 开服时间
     */
    @Column(value = "dt")
    private LocalDate dt;

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 区服切片ID
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 区服名称
     */
    @Column(value = "server_name")
    private String serverName;

    /**
     * 父游戏ID
     */
    @Column(value = "parent_game_id")
    private Long parentGameId;

    /**
     * 父游戏名称
     */
    @Column(value = "parent_game_name")
    private String parentGameName;

    /**
     * 游戏类别
     */
    @Column(value = "classify")
    private Long classify;

    /**
     * 区服累计到第1天创角人数
     */
    @Column(value = "da1_sum_role_num")
    private Long da1SumRoleNum;

    /**
     * 区服累计到第2天创角人数
     */
    @Column(value = "da2_sum_role_num")
    private Long da2SumRoleNum;

    /**
     * 区服累计到第3天创角人数
     */
    @Column(value = "da3_sum_role_num")
    private Long da3SumRoleNum;

    /**
     * 区服累计到第4天创角人数
     */
    @Column(value = "da4_sum_role_num")
    private Long da4SumRoleNum;

    /**
     * 区服累计到第5天创角人数
     */
    @Column(value = "da5_sum_role_num")
    private Long da5SumRoleNum;

    /**
     * 区服累计到第6天创角人数
     */
    @Column(value = "da6_sum_role_num")
    private Long da6SumRoleNum;

    /**
     * 区服累计到第7天创角人数
     */
    @Column(value = "da7_sum_role_num")
    private Long da7SumRoleNum;

    /**
     * 区服累计到第8天创角人数
     */
    @Column(value = "da8_sum_role_num")
    private Long da8SumRoleNum;

    /**
     * 区服累计到第9天创角人数
     */
    @Column(value = "da9_sum_role_num")
    private Long da9SumRoleNum;

    /**
     * 区服累计到第10天创角人数
     */
    @Column(value = "da10_sum_role_num")
    private Long da10SumRoleNum;

    /**
     * 区服累计到第11天创角人数
     */
    @Column(value = "da11_sum_role_num")
    private Long da11SumRoleNum;

    /**
     * 区服累计到第12天创角人数
     */
    @Column(value = "da12_sum_role_num")
    private Long da12SumRoleNum;

    /**
     * 区服累计到第13天创角人数
     */
    @Column(value = "da13_sum_role_num")
    private Long da13SumRoleNum;

    /**
     * 区服累计到第14天创角人数
     */
    @Column(value = "da14_sum_role_num")
    private Long da14SumRoleNum;

    /**
     * 区服累计到第15天创角人数
     */
    @Column(value = "da15_sum_role_num")
    private Long da15SumRoleNum;

    /**
     * 区服累计到第16天创角人数
     */
    @Column(value = "da16_sum_role_num")
    private Long da16SumRoleNum;

    /**
     * 区服累计到第17天创角人数
     */
    @Column(value = "da17_sum_role_num")
    private Long da17SumRoleNum;

    /**
     * 区服累计到第18天创角人数
     */
    @Column(value = "da18_sum_role_num")
    private Long da18SumRoleNum;

    /**
     * 区服累计到第19天创角人数
     */
    @Column(value = "da19_sum_role_num")
    private Long da19SumRoleNum;

    /**
     * 区服累计到第20天创角人数
     */
    @Column(value = "da20_sum_role_num")
    private Long da20SumRoleNum;

    /**
     * 区服累计到第21天创角人数
     */
    @Column(value = "da21_sum_role_num")
    private Long da21SumRoleNum;

    /**
     * 区服累计到第22天创角人数
     */
    @Column(value = "da22_sum_role_num")
    private Long da22SumRoleNum;

    /**
     * 区服累计到第23天创角人数
     */
    @Column(value = "da23_sum_role_num")
    private Long da23SumRoleNum;

    /**
     * 区服累计到第24天创角人数
     */
    @Column(value = "da24_sum_role_num")
    private Long da24SumRoleNum;

    /**
     * 区服累计到第25天创角人数
     */
    @Column(value = "da25_sum_role_num")
    private Long da25SumRoleNum;

    /**
     * 区服累计到第26天创角人数
     */
    @Column(value = "da26_sum_role_num")
    private Long da26SumRoleNum;

    /**
     * 区服累计到第27天创角人数
     */
    @Column(value = "da27_sum_role_num")
    private Long da27SumRoleNum;

    /**
     * 区服累计到第28天创角人数
     */
    @Column(value = "da28_sum_role_num")
    private Long da28SumRoleNum;

    /**
     * 区服累计到第29天创角人数
     */
    @Column(value = "da29_sum_role_num")
    private Long da29SumRoleNum;

    /**
     * 区服累计到第30天创角人数
     */
    @Column(value = "da30_sum_role_num")
    private Long da30SumRoleNum;

    /**
     * 区服累计到第31天创角人数
     */
    @Column(value = "da31_sum_role_num")
    private Long da31SumRoleNum;

    /**
     * 区服累计到第32天创角人数
     */
    @Column(value = "da32_sum_role_num")
    private Long da32SumRoleNum;

    /**
     * 区服累计到第33天创角人数
     */
    @Column(value = "da33_sum_role_num")
    private Long da33SumRoleNum;

    /**
     * 区服累计到第34天创角人数
     */
    @Column(value = "da34_sum_role_num")
    private Long da34SumRoleNum;

    /**
     * 区服累计到第35天创角人数
     */
    @Column(value = "da35_sum_role_num")
    private Long da35SumRoleNum;

    /**
     * 区服累计到第36天创角人数
     */
    @Column(value = "da36_sum_role_num")
    private Long da36SumRoleNum;

    /**
     * 区服累计到第37天创角人数
     */
    @Column(value = "da37_sum_role_num")
    private Long da37SumRoleNum;

    /**
     * 区服累计到第38天创角人数
     */
    @Column(value = "da38_sum_role_num")
    private Long da38SumRoleNum;

    /**
     * 区服累计到第39天创角人数
     */
    @Column(value = "da39_sum_role_num")
    private Long da39SumRoleNum;

    /**
     * 区服累计到第40天创角人数
     */
    @Column(value = "da40_sum_role_num")
    private Long da40SumRoleNum;

    /**
     * 区服累计到第41天创角人数
     */
    @Column(value = "da41_sum_role_num")
    private Long da41SumRoleNum;

    /**
     * 区服累计到第42天创角人数
     */
    @Column(value = "da42_sum_role_num")
    private Long da42SumRoleNum;

    /**
     * 区服累计到第43天创角人数
     */
    @Column(value = "da43_sum_role_num")
    private Long da43SumRoleNum;

    /**
     * 区服累计到第44天创角人数
     */
    @Column(value = "da44_sum_role_num")
    private Long da44SumRoleNum;

    /**
     * 区服累计到第45天创角人数
     */
    @Column(value = "da45_sum_role_num")
    private Long da45SumRoleNum;

    /**
     * 区服累计到第46天创角人数
     */
    @Column(value = "da46_sum_role_num")
    private Long da46SumRoleNum;

    /**
     * 区服累计到第47天创角人数
     */
    @Column(value = "da47_sum_role_num")
    private Long da47SumRoleNum;

    /**
     * 区服累计到第48天创角人数
     */
    @Column(value = "da48_sum_role_num")
    private Long da48SumRoleNum;

    /**
     * 区服累计到第49天创角人数
     */
    @Column(value = "da49_sum_role_num")
    private Long da49SumRoleNum;

    /**
     * 区服累计到第50天创角人数
     */
    @Column(value = "da50_sum_role_num")
    private Long da50SumRoleNum;

    /**
     * 区服累计到第51天创角人数
     */
    @Column(value = "da51_sum_role_num")
    private Long da51SumRoleNum;

    /**
     * 区服累计到第52天创角人数
     */
    @Column(value = "da52_sum_role_num")
    private Long da52SumRoleNum;

    /**
     * 区服累计到第53天创角人数
     */
    @Column(value = "da53_sum_role_num")
    private Long da53SumRoleNum;

    /**
     * 区服累计到第54天创角人数
     */
    @Column(value = "da54_sum_role_num")
    private Long da54SumRoleNum;

    /**
     * 区服累计到第55天创角人数
     */
    @Column(value = "da55_sum_role_num")
    private Long da55SumRoleNum;

    /**
     * 区服累计到第56天创角人数
     */
    @Column(value = "da56_sum_role_num")
    private Long da56SumRoleNum;

    /**
     * 区服累计到第57天创角人数
     */
    @Column(value = "da57_sum_role_num")
    private Long da57SumRoleNum;

    /**
     * 区服累计到第58天创角人数
     */
    @Column(value = "da58_sum_role_num")
    private Long da58SumRoleNum;

    /**
     * 区服累计到第59天创角人数
     */
    @Column(value = "da59_sum_role_num")
    private Long da59SumRoleNum;

    /**
     * 区服累计到第60天创角人数
     */
    @Column(value = "da60_sum_role_num")
    private Long da60SumRoleNum;

    /**
     * 区服累计到第61天创角人数
     */
    @Column(value = "da61_sum_role_num")
    private Long da61SumRoleNum;

    /**
     * 区服累计到第62天创角人数
     */
    @Column(value = "da62_sum_role_num")
    private Long da62SumRoleNum;

    /**
     * 区服累计到第63天创角人数
     */
    @Column(value = "da63_sum_role_num")
    private Long da63SumRoleNum;

    /**
     * 区服累计到第64天创角人数
     */
    @Column(value = "da64_sum_role_num")
    private Long da64SumRoleNum;

    /**
     * 区服累计到第65天创角人数
     */
    @Column(value = "da65_sum_role_num")
    private Long da65SumRoleNum;

    /**
     * 区服累计到第66天创角人数
     */
    @Column(value = "da66_sum_role_num")
    private Long da66SumRoleNum;

    /**
     * 区服累计到第67天创角人数
     */
    @Column(value = "da67_sum_role_num")
    private Long da67SumRoleNum;

    /**
     * 区服累计到第68天创角人数
     */
    @Column(value = "da68_sum_role_num")
    private Long da68SumRoleNum;

    /**
     * 区服累计到第69天创角人数
     */
    @Column(value = "da69_sum_role_num")
    private Long da69SumRoleNum;

    /**
     * 区服累计到第70天创角人数
     */
    @Column(value = "da70_sum_role_num")
    private Long da70SumRoleNum;

    /**
     * 区服累计到第71天创角人数
     */
    @Column(value = "da71_sum_role_num")
    private Long da71SumRoleNum;

    /**
     * 区服累计到第72天创角人数
     */
    @Column(value = "da72_sum_role_num")
    private Long da72SumRoleNum;

    /**
     * 区服累计到第73天创角人数
     */
    @Column(value = "da73_sum_role_num")
    private Long da73SumRoleNum;

    /**
     * 区服累计到第74天创角人数
     */
    @Column(value = "da74_sum_role_num")
    private Long da74SumRoleNum;

    /**
     * 区服累计到第75天创角人数
     */
    @Column(value = "da75_sum_role_num")
    private Long da75SumRoleNum;

    /**
     * 区服累计到第76天创角人数
     */
    @Column(value = "da76_sum_role_num")
    private Long da76SumRoleNum;

    /**
     * 区服累计到第77天创角人数
     */
    @Column(value = "da77_sum_role_num")
    private Long da77SumRoleNum;

    /**
     * 区服累计到第78天创角人数
     */
    @Column(value = "da78_sum_role_num")
    private Long da78SumRoleNum;

    /**
     * 区服累计到第79天创角人数
     */
    @Column(value = "da79_sum_role_num")
    private Long da79SumRoleNum;

    /**
     * 区服累计到第80天创角人数
     */
    @Column(value = "da80_sum_role_num")
    private Long da80SumRoleNum;

    /**
     * 区服累计到第81天创角人数
     */
    @Column(value = "da81_sum_role_num")
    private Long da81SumRoleNum;

    /**
     * 区服累计到第82天创角人数
     */
    @Column(value = "da82_sum_role_num")
    private Long da82SumRoleNum;

    /**
     * 区服累计到第83天创角人数
     */
    @Column(value = "da83_sum_role_num")
    private Long da83SumRoleNum;

    /**
     * 区服累计到第84天创角人数
     */
    @Column(value = "da84_sum_role_num")
    private Long da84SumRoleNum;

    /**
     * 区服累计到第85天创角人数
     */
    @Column(value = "da85_sum_role_num")
    private Long da85SumRoleNum;

    /**
     * 区服累计到第86天创角人数
     */
    @Column(value = "da86_sum_role_num")
    private Long da86SumRoleNum;

    /**
     * 区服累计到第87天创角人数
     */
    @Column(value = "da87_sum_role_num")
    private Long da87SumRoleNum;

    /**
     * 区服累计到第88天创角人数
     */
    @Column(value = "da88_sum_role_num")
    private Long da88SumRoleNum;

    /**
     * 区服累计到第89天创角人数
     */
    @Column(value = "da89_sum_role_num")
    private Long da89SumRoleNum;

    /**
     * 区服累计到第90天创角人数
     */
    @Column(value = "da90_sum_role_num")
    private Long da90SumRoleNum;

    /**
     * 区服累计到第4月创角人数
     */
    @Column(value = "m4_sum_role_num")
    private Long m4SumRoleNum;

    /**
     * 区服累计到第5月创角人数
     */
    @Column(value = "m5_sum_role_num")
    private Long m5SumRoleNum;

    /**
     * 区服累计到第6月创角人数
     */
    @Column(value = "m6_sum_role_num")
    private Long m6SumRoleNum;

    /**
     * 区服累计到第7月创角人数
     */
    @Column(value = "m7_sum_role_num")
    private Long m7SumRoleNum;

    /**
     * 区服累计到第8月创角人数
     */
    @Column(value = "m8_sum_role_num")
    private Long m8SumRoleNum;

    /**
     * 区服累计到第9月创角人数
     */
    @Column(value = "m9_sum_role_num")
    private Long m9SumRoleNum;

    /**
     * 区服累计到第10月创角人数
     */
    @Column(value = "m10_sum_role_num")
    private Long m10SumRoleNum;

    /**
     * 区服累计到第11月创角人数
     */
    @Column(value = "m11_sum_role_num")
    private Long m11SumRoleNum;

    /**
     * 区服累计到第1年创角人数
     */
    @Column(value = "y1_sum_role_num")
    private Long y1SumRoleNum;


}
