package com.zanxiang.game.gs.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class RoleManageVO {
    @ApiModelProperty("游戏ID")
    private Integer gameId;
    @ApiModelProperty("角色ID")
    private String roleId;

    @ApiModelProperty("角色名称")
    private String roleName;
    @ApiModelProperty("超父游戏id")
    private Long superGameId;
    @ApiModelProperty("当前区服ID")
    private String endServerId;

    @ApiModelProperty("当前区服名称")
    private String endServerName;

    @ApiModelProperty("父游戏ID")
    private Integer parentGameId;
    @ApiModelProperty("父游戏名称")
    private String parentGameName;

    @ApiModelProperty("父用户ID")
    private Long associationUserId;

    @ApiModelProperty("角色vip")
    private Integer roleVip;

    @ApiModelProperty("角色等级")
    private Integer roleLevel;

    @ApiModelProperty("角色攻击力")
    private Long combatNum;

    @ApiModelProperty("国家")
    private String country;

    @ApiModelProperty("角色创建时间")
    private LocalDateTime roleTime;
    @ApiModelProperty("角色创角天数")
    private Long roleCreateDayDiff;
    @ApiModelProperty("角色最近充值时间距今")
    private Long lastOrderDayDiff;
    @ApiModelProperty("角色最近活跃时间距今")
    private Long roleActiveDayDiff;
    @ApiModelProperty("角色创角充值时间差")
    private Long roleCreatePayDayDiff;

    @ApiModelProperty("角色最近充值时间")
    private LocalDateTime lastOrderTime;

    @ApiModelProperty("角色累计充值金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("角色最近活跃时间")
    private LocalDateTime activeTime;

    @ApiModelProperty("GS名称")
    private String gsName;
    @ApiModelProperty("GS ID")
    private Long gsId;

    @ApiModelProperty("GS服务时间-开始")
    private LocalDate gsStartTime;
    @ApiModelProperty("GS服务时间-结束")
    private LocalDate gsEndTime;

    @ApiModelProperty("GS服务天数")
    private Long gsServeDays;

    @ApiModelProperty("GS服务状态：0：服务中；1：服务完成")
    private Boolean serveStatus;

    @ApiModelProperty("GS服务中的付费金额")
    private BigDecimal gsAmount;
    @ApiModelProperty("GS服务中的付费次数")
    private Long gsCount;
    @ApiModelProperty("区服指派GS充值金额")
    private BigDecimal serverAmount;
    @ApiModelProperty("区服指派GS充值次数")
    private Integer serverCount;
}
