package com.zanxiang.game.gs.data.serve.service;


import com.mybatisflex.core.row.Row;
import com.zanxiang.game.gs.data.serve.pojo.dto.BigRDTO;
import com.zanxiang.game.gs.data.serve.pojo.dto.RoleManageDTO;
import com.zanxiang.game.gs.data.serve.pojo.dto.RoleRemoveGameMonitorDTO;
import com.zanxiang.game.gs.data.serve.pojo.entity.game.parent.AdsRoleAmountDataParent;
import com.mybatisflex.core.service.IService;
import com.zanxiang.game.gs.data.serve.pojo.vo.BigRVO;
import com.zanxiang.game.gs.data.serve.pojo.vo.PageVO;
import com.zanxiang.game.gs.data.serve.pojo.vo.RoleManageVO;
import com.zanxiang.game.gs.data.serve.pojo.vo.RoleRemoveGameMonitorVO;

/**
 * 角色父游戏充值数据 服务层。
 *
 * @author shaosong
 * @since 1.0
 */
public interface IAdsRoleAmountDataParentService extends IService<AdsRoleAmountDataParent> {

    PageVO<BigRVO, Row> bigRListOfPage(BigRDTO dto);

    PageVO<RoleRemoveGameMonitorVO, Row> roleRemoveGameMonitor(RoleRemoveGameMonitorDTO dto);

    PageVO<RoleManageVO, Row> roleManage(RoleManageDTO dto);
}