package com.zanxiang.game.module.base.pojo.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class AgentRpcVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 渠道名称
     */
    private String agentName;

    /**
     * 渠道唯一标识
     */
    private String agentKey;

    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;

    /**
     * 账号类型
     */
    private Long accountId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;

    /**
     * 回传策略 id
     */
    private Long backPolicyId;

    /**
     * 头条回传 token
     */
    private String reportToken;

    /**
     * 头条回传 url
     */
    private String reportUrl;

    /**
     * 投放状态
     */
    private Integer putStatus;

    /**
     * 游戏对应小程序appId
     */
    private String appId;
}
