package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameGiftPackLink;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2024-10-31
 * @description : 游戏礼包码链接查询参数
 */
@Data
public class GameGiftPackLinkListParam extends BaseListDTO<GameGiftPackLink> {

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 礼包码类型
     */
    @ApiModelProperty(notes = "礼包码类型")
    private String codeType;

    /**
     * 礼包链接
     */
    @ApiModelProperty(notes = "礼包链接")
    private String codeLink;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(notes = "创建开始时间")
    private LocalDate createBeginTime;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(notes = "创建结束时间")
    private LocalDate createEndTime;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(notes = "创建开始时间")
    private LocalDate updateBeginTime;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(notes = "创建结束时间")
    private LocalDate updateEndTime;
}
