package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.advertising.tencent.base.pojo.vo.UserActionSetRpcVO;
import com.zanxiang.game.back.base.pojo.vo.GameBackPolicyRpcVO;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AgentVO {

    /**
     * 主键
     */
    private Long id;
    /**
     * 渠道名称
     */
    private String agentName;
    /**
     * 渠道唯一标识
     */
    private String agentKey;
    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;
    /**
     * 账号类型
     */
    private Long accountId;
    /**
     * 游戏id
     */
    private Long gameId;
    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;

    /**
     * 回传策略 id
     */
    private Long backPolicyId;

    /**
     * 头条回传 token
     */
    private String reportToken;

    /**
     * 头条回传 url
     */
    private String reportUrl;

    /**
     * 头条星广联投任务 id
     */
    private Long xgltDemandId;

    /**
     * 投放状态
     */
    private Integer putStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 归属投手id
     */
    private Long createBy;

    /**
     * 归属投手名称
     */
    private String createByName;

    /**
     * 游戏信息
     */
    private GameInfoVO gameInfo;

    /**
     * 数据源信息
     */
    private UserActionSetRpcVO userActionSet;
    /**
     * 回传策略信息
     */
    private GameBackPolicyRpcVO backPolicyInfo;
}
