package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-11-01
 * @description : 礼包码
 */
@Data
public class GameGiftPackCodeVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 礼包码
     */
    @ApiModelProperty(notes = "礼包码")
    private String code;

    /**
     * 是否领取, true : 已被领取, false : 待领取
     */
    @ApiModelProperty(notes = "是否领取, true : 已被领取, false : 待领取")
    private Boolean isSend;

    /**
     * 创建者
     */
    @ApiModelProperty(notes = "创建者")
    private Long createBy;

    /**
     * 创建者
     */
    @ApiModelProperty(notes = "创建者")
    private String createByName;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    @ApiModelProperty(notes = "更新者")
    private Long updateBy;

    /**
     * 更新者
     */
    @ApiModelProperty(notes = "更新者")
    private String updateByName;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
