package com.zanxiang.game.module.manage.pojo.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2025-03-12
 * @description : 聊天记录
 */
@Data
public class GameUserChatVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 区服名称
     */
    private String serverName;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 公会名称
     */
    private String guildName;

    /**
     * 聊天内容
     */
    private String content;

    /**
     * 聊天时间
     */
    private LocalDateTime chatTime;
}
