package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameGiftPackConfig;
import reactor.util.function.Tuple2;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏礼包码配置
 */
public interface IGameGiftPackConfigService extends IService<GameGiftPackConfig> {

    /**
     * 获取游戏礼包配置
     *
     * @return : 返回游戏礼包配置
     */
    List<Tuple2<Map<Long, String>, Map<String, String>>> getGameGiftPackConfig();
}