package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.ChatSubmitParam;
import com.zanxiang.game.module.manage.pojo.params.GameUserChatListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameUserChatVO;
import com.zanxiang.game.module.mybatis.entity.GameUserChat;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2025-03-12
 * @description :
 */
public interface IGameUserChatService extends IService<GameUserChat> {

    Map<Long, String> chatGameMap();

    IPage<GameUserChatVO> listOfPage(GameUserChatListParam param);

    void addGameUserChat(ChatSubmitParam param);
}
