package com.zanxiang.game.module.sdk.pojo.result;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-01-06
 * @description : 推送消息到CP结果
 */
@Data
public class PushCpResult {

    /**
     * CP回调成功返回码
     */
    public static final String SUCCESS_CODE = "200";

    /**
     * 返回码
     */
    private String code;

    /**
     * 返回码
     */
    private String result;

    /**
     * 消息
     */
    private String msg;

    /**
     * 结果
     */
    private Object data;
}
