package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 拆单回传
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_tencent_mini_game_order_split_log")
public class GameTencentMiniGameOrderSplitLog implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDate backDay;

    private String orderNo;

    private Integer backIndex;

    private Integer backCount;

    private Long splitMoney;

    private LocalDateTime backTime;

    private LocalDateTime executeTime;

    private Integer backStatus;

    private String backErrorMsg;

    private LocalDateTime createTime;

    private String backType;
}
