package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.TencentCreativeDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.TencentPromotionDayDTO;
import com.zanxiang.game.data.serve.pojo.vo.TencentCreativeDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentCreativeDayVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentPromotionDayTotalVO;
import com.zanxiang.game.data.serve.utils.Page;


public interface IAdsCreativeDayService {
    /**
     * 腾讯创意监控数据
     * @param dto
     * @return
     */
    Page<TencentCreativeDayVO> getTencentCreativeDayData(TencentCreativeDayDTO dto);

    /**
     * 腾讯创意监控数据总计
     * @param dto
     * @return
     */
    TencentCreativeDayTotalVO getTencentCreativeTotalData(TencentCreativeDayDTO dto);
}