package com.zanxiang.game.gs.data.serve.pojo.vo;

import com.mybatisflex.annotation.Column;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GsRTotalVO {

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 开服时间
     */
    private LocalDate dt;

    /**
     * 区服ID
     */
    private String serverId;

    /**
     * 游戏ID
     */
    private String parentGameId;

    /**
     * 小R人数
     */
    private String smallR;

    /**
     * 中R人数
     */
    private String centreR;

    /**
     * 大R人数
     */
    private String bigR;

    /**
     * 超R人数
     */
    private String superLargeR;

    /**
     * 总R人数
     */
    private String totalR;


}
