package com.zanxiang.game.module.manage.constant;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 缓存key前缀
 */
public class RedisKeyConstant {

    /**
     * 同步服务缓存统一前缀
     */
    private static final String REDIS_PREFIX = "game_manage_";

    /**
     * 阿里云固话呼叫锁
     */
    public static final String PHONE_CALL_LOCK = RedisKeyConstant.REDIS_PREFIX + "phoneCall_lock_";

    /**
     * 客服消息redis监听器消息频道
     */
    public static final String KF_MSG_REDIS_LISTEN_TOPIC = RedisKeyConstant.REDIS_PREFIX + "kf_msg_channel";

    /**
     * 接入玩家线程锁
     */
    public static final String KF_MSG_USER_CONNECT_JOIN = RedisKeyConstant.REDIS_PREFIX + "kf_msg_user_connect_join_";

    /**
     * 客服支付订单标记
     */
    public static final String GAME_CUSTOM_PAY_SIGN = "game_sdk_manage_custom_pay_sign_";

    /**
     * 客服系统玩家信息更新
     */
    public static final String KF_MSG_USER_SESSION_UPDATE = RedisKeyConstant.REDIS_PREFIX + "kf_msg_user_session_update_";

    /**
     * 小程序支付应用任务锁
     */
    public static final String GAME_USER_ROLE_UP_LOCK = RedisKeyConstant.REDIS_PREFIX + "gameUserRoleUpLock_";

    /**
     * 手机验证码缓存key
     */
    public static final String SMS_PHONE_KEY = RedisKeyConstant.REDIS_PREFIX + "sms_phone";

    /**
     * 游戏礼包码缓存key
     */
    public static final String GAME_GIFT_PACK_CODE = RedisKeyConstant.REDIS_PREFIX + "game_gift_pack_code_";

    /**
     * 游戏礼包码线程锁缓存key
     */
    public static final String GAME_GIFT_PACK_LOCK = RedisKeyConstant.REDIS_PREFIX + "game_gift_pack_lock_";

    /**
     * ip解析任务队列
     */
    public static final String IP_DATA_ASSAY_QUEUE = "game_sdk_ip_data_assay_queue_";
}
