package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2024-11-04
 * @description :
 */
@Data
public class GameGiftPackLinkLogPushParam {

    /**
     * 网页完整地址
     */
    @NotBlank(message = "网页地址不可空")
    @ApiModelProperty(notes = "网页完整地址")
    private String url;
}
