package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-11-04
 * @description : 礼包码领取记录
 */
@Data
public class GameGiftPackCodeLogVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 礼包码
     */
    @ApiModelProperty(notes = "礼包码")
    private String code;

    /**
     * 领取结果
     */
    @ApiModelProperty(notes = "领取结果")
    private String msg;

    /**
     * 用户手机号
     */
    @ApiModelProperty(notes = "用户手机号")
    private String userPhone;

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Integer userId;

    /**
     * 区服id
     */
    @ApiModelProperty(notes = "玩家id")
    private String serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty(notes = "玩家id")
    private String serverName;

    /**
     * 角色id
     */
    @ApiModelProperty(notes = "角色id")
    private String roleId;

    /**
     * 角色名称
     */
    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    /**
     * 企业id
     */
    @ApiModelProperty(notes = "企业id")
    private String corpId;

    /**
     * 客服号id
     */
    @ApiModelProperty(notes = "客服号id")
    private String corpUserId;

    /**
     * 企微用户id
     */
    @ApiModelProperty(notes = "企微用户id")
    private String externalUserId;

    /**
     * 关联访问记录id
     */
    @ApiModelProperty(notes = "关联访问记录id")
    private Long linkLogId;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;
}
