package com.zanxiang.game.module.manage.service;

/**
 * @author : lingfeng
 * @time : 2024-11-04
 * @description :
 */
public interface ISmsService {

    /**
     * 发送短信验证码
     *
     * @param phoneNumber : 手机号
     * @return : 返回结果
     */
    boolean randomCodeSend(String phoneNumber);

    /**
     * 验证码校验
     *
     * @param phoneNumber : 手机号
     * @param randomCode  : 验证码
     * @return : 返回验证结果
     */
    boolean randomCodeCheck(String phoneNumber, String randomCode);
}
